Can somebody make a plugin for permanent 1.16.x support?

Started by TheOriginalGoatMan2 on Wed, 04/13/2022 - 06:27

Topic category: Plugins and third-party tools

Last seen on 20:46, 15. Jun 2022
Joined Jul 2020
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Can somebody make a plugin for permanent 1.16.x support?
Wed, 04/13/2022 - 06:27

I want to have two different versions of my mod, Nether Update Expanded. One for the latest update, and one for 1.16, the Nether Update. However, based on prior MCreator support trends, it seems to only support two versions at the same time, which means soon I won't be able to do this without a plugin. By any chance, could somebody make this plugin?

Last seen on 18:00, 26. Jun 2022
Joined May 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Temporary solution, create…
Sat, 04/30/2022 - 06:17

Temporary solution,

  1. create your mod for 1.16.5 using MCreator 2021.3
  2. once tested, and happy with the results. Go to File >> Export workspace to a sharable zip
  3. also, export the mod for distribution (*.jar) for 1.16.5
  4. now, start MCreator 2022.1 - Import from file, and select the previously exported sharable zip
  5. wait until completed, then go to Workspace >> workspace settings and change the Minecraft version (generator) from 1.16.5 to 1.18.2
  6. export the mod for distribution (*.jar) ... but this time it will be for 1.18.2

 

**Downside ... most plugin(s) for 1.16.5 might not be functional for 1.18.2, also I never tried to downgrade it from 1.18.2 to 1.16.5. Recommendation: create/modify your mod in 1.16.5, then upgrade to 1.18.2 until (if) a generator is created.